Part: Toro

From FreeCAD Documentation
Revision as of 09:58, 3 March 2022 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Toro

Posizione nel menu
Parte → Primitive → Toro
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive

Description

Descrizione

Crea un semplice toro parametrico, con i parametri position, angle1, angle2, angle3, radius1 e radius2.

A Part Torus can be turned into a segment of a torus by changing its DatiAngle3 property. By changing its DatiAngle1 and/or DatiAngle2 properties the swept profile can become a segment of a circle.

Utilizzo

  1. Attivare l'ambiente Part.
  2. Richiamare il comando Toro in uno di questi modi:
    • Premere il pulsante .
    • Usare Part → Toro dal menu principale.

Example

Part Torus from the scripting example

A Part Torus object created with the scripting example below is shown here.

Notes

  • A Part Torus can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Il parametro Raggio1 ha il valore di 20 mm.

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Torus

  • Raggio1: Raggio del cerchio attorno al quale circola il disco. Distanza tra l'asse di rotazione, centro del toro, e il centro del disco.
  • Raggio2: Raggio del disco che definisce la forma del toro
  • Angolo1: 1° Angolo di taglio per definire il disco del toro
  • Angolo2: 2° Angolo di taglio per definire il disco del toro
  • Angolo3: 3° Angolo per definire la circonferenza del toro. Ampiezza della rotazione

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Torus can be created with the addObject() method of the document:

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Where "myTorus" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()